Package oracle.nosql.driver.ops

## Class PrepareResult

- java.lang.Object
- - oracle.nosql.driver.ops.Result
  - - oracle.nosql.driver.ops.PrepareResult

-     public class PrepareResult
      extends Result

  The result of a prepare operation. The returned `PreparedStatement` can be re-used for query execution using `QueryRequest.setPreparedStatement(oracle.nosql.driver.ops.PreparedStatement)`.
  See Also:
    `NoSQLHandle.prepare(oracle.nosql.driver.ops.PrepareRequest)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrepareResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PreparedStatement` | `getPreparedStatement()` | Returns the value of the prepared statement
    `int` | `getReadKB()` | Returns the read throughput consumed by this operation, in KBytes.
    `int` | `getReadUnits()` | Returns the read throughput consumed by this operation, in read units.
    `int` | `getWriteKB()` | Returns the write throughput consumed by this operation, in KBytes.
    `int` | `getWriteUnits()` | Returns the write throughput consumed by this operation, in write units.

    - ### Methods inherited from class oracle.nosql.driver.ops.Result

      `getRateLimitDelayedMs, getRetryStats`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrepareResult

          public PrepareResult()

  - ### Method Detail

    - #### getPreparedStatement

          public PreparedStatement getPreparedStatement()

      Returns the value of the prepared statement
      Returns:
        the prepared statement

    - #### getReadKB

          public int getReadKB()

      Returns the read throughput consumed by this operation, in KBytes. This is the actual amount of data read by the operation. The number of read units consumed is returned by `getReadUnits()` which may be a larger number if the operation used `Consistency.ABSOLUTE`
      Returns:
        the read KBytes consumed

    - #### getWriteKB

          public int getWriteKB()

      Returns the write throughput consumed by this operation, in KBytes.
      Returns:
        the write KBytes consumed

    - #### getReadUnits

          public int getReadUnits()

      Returns the read throughput consumed by this operation, in read units. This number may be larger than that returned by `getReadKB()` if the operation used `Consistency.ABSOLUTE`
      Returns:
        the read units consumed

    - #### getWriteUnits

          public int getWriteUnits()

      Returns the write throughput consumed by this operation, in write units.
      Returns:
        the write units consumed